<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>FigureRangeChecking</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FigureRangeChecking";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FigureRangeChecking.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/FigureRangeChecking.html" target="_top">Frames</a></li>
<li><a href="FigureRangeChecking.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.model.trid</div>
<h2 title="Class FigureRangeChecking" class="title">Class FigureRangeChecking</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.model.trid.FigureRangeChecking</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">FigureRangeChecking</span>
extends java.lang.Object</pre>
<div class="block">Checks the movement range for all figures and provides counter check
 checking.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert Wloch</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#X_AXIS">X_AXIS</a></span></code>
<div class="block">Value for X_AXIS.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#Y_AXIS">Y_AXIS</a></span></code>
<div class="block">Value for Y_AXIS.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#FigureRangeChecking-de.rowlo.tridchess.model.trid.TriDBoard-">FigureRangeChecking</a></span>(<a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a>&nbsp;board)</code>
<div class="block">Construction with TriDBoard.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkBishopRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">checkBishopRange</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f)</code>
<div class="block">Starts field range calculations from current field on for bishops.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkCastleRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">checkCastleRange</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f)</code>
<div class="block">Starts field range calculations from current field on for castles.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkDownward-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int-int:A-int-boolean-int-">checkDownward</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
             java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
             int&nbsp;minZ,
             int&nbsp;limit,
             int&nbsp;sign,
             int[]&nbsp;b,
             int&nbsp;xy,
             boolean&nbsp;mustNotAttack,
             int&nbsp;checkType)</code>
<div class="block">Checks all downward fields in proper order from current board position on
 if they're free to move onto.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkJumps-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int:A-int-">checkJumps</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
          java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
          int[]&nbsp;b,
          int&nbsp;checkType)</code>
<div class="block">Checks all jump destination fields on all z levels relative to current
 board position if they're free to move onto.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkKingQueenRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-int-int-">checkKingQueenRange</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                   <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f,
                   int&nbsp;x,
                   int&nbsp;y)</code>
<div class="block">Starts field range calculations from current field on for queens and
 kings.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkKnightRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">checkKnightRange</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f)</code>
<div class="block">Starts field range calculations from current field on for knights.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkPawnRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">checkPawnRange</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
              <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f)</code>
<div class="block">Starts field range calculations from current field on for pawns.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkStraight-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int:A-int-boolean-int-">checkStraight</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
             java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
             int&nbsp;limit,
             int&nbsp;sign,
             int[]&nbsp;b,
             int&nbsp;xy,
             boolean&nbsp;mustNotAttack,
             int&nbsp;checkType)</code>
<div class="block">Checks next field relative to current board position if it's free to move
 onto it.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkUpDownDiagonalStart-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int-int:A-boolean-int-">checkUpDownDiagonalStart</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                        java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
                        int&nbsp;limit,
                        int&nbsp;signX,
                        int&nbsp;signY,
                        int[]&nbsp;b,
                        boolean&nbsp;attackOnly,
                        int&nbsp;checkType)</code>
<div class="block">Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkUpDownStraightStart-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int:A-int-boolean-int-">checkUpDownStraightStart</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                        java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
                        int&nbsp;limit,
                        int&nbsp;sign,
                        int[]&nbsp;b,
                        int&nbsp;xy,
                        boolean&nbsp;mustNotAttack,
                        int&nbsp;checkType)</code>
<div class="block">Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkUpward-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int-int:A-int-boolean-int-">checkUpward</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
           java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
           int&nbsp;maxZ,
           int&nbsp;limit,
           int&nbsp;sign,
           int[]&nbsp;b,
           int&nbsp;xy,
           boolean&nbsp;mustNotAttack,
           int&nbsp;checkType)</code>
<div class="block">Checks all upward fields in proper order from current board position on if
 they're free to move onto.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#refreshFiguresStates--">refreshFiguresStates</a></span>()</code>
<div class="block">For all figures finds the fields they can move onto, figures they can
 attack, and figures they cover.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="X_AXIS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>X_AXIS</h4>
<pre>public static final&nbsp;int X_AXIS</pre>
<div class="block">Value for X_AXIS.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#de.rowlo.tridchess.model.trid.FigureRangeChecking.X_AXIS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="Y_AXIS">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Y_AXIS</h4>
<pre>public static final&nbsp;int Y_AXIS</pre>
<div class="block">Value for Y_AXIS.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#de.rowlo.tridchess.model.trid.FigureRangeChecking.Y_AXIS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FigureRangeChecking-de.rowlo.tridchess.model.trid.TriDBoard-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FigureRangeChecking</h4>
<pre>public&nbsp;FigureRangeChecking(<a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a>&nbsp;board)</pre>
<div class="block">Construction with TriDBoard.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>board</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="refreshFiguresStates--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>refreshFiguresStates</h4>
<pre>public&nbsp;void&nbsp;refreshFiguresStates()</pre>
<div class="block">For all figures finds the fields they can move onto, figures they can
 attack, and figures they cover. Also collects fields where regular
 movement is blocked by other figures.<br>
 Marks kings being check or mate.</div>
</li>
</ul>
<a name="checkPawnRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkPawnRange</h4>
<pre>public&nbsp;void&nbsp;checkPawnRange(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                           <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f)</pre>
<div class="block">Starts field range calculations from current field on for pawns.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - Figure</dd>
<dd><code>f</code> - current Field</dd>
</dl>
</li>
</ul>
<a name="checkCastleRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkCastleRange</h4>
<pre>public&nbsp;void&nbsp;checkCastleRange(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                             <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f)</pre>
<div class="block">Starts field range calculations from current field on for castles.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - Figure</dd>
<dd><code>f</code> - current Field</dd>
</dl>
</li>
</ul>
<a name="checkKnightRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkKnightRange</h4>
<pre>public&nbsp;void&nbsp;checkKnightRange(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                             <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f)</pre>
<div class="block">Starts field range calculations from current field on for knights.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - Figure</dd>
<dd><code>f</code> - current Field</dd>
</dl>
</li>
</ul>
<a name="checkBishopRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkBishopRange</h4>
<pre>public&nbsp;void&nbsp;checkBishopRange(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                             <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f)</pre>
<div class="block">Starts field range calculations from current field on for bishops.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - Figure</dd>
<dd><code>f</code> - current Field</dd>
</dl>
</li>
</ul>
<a name="checkKingQueenRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkKingQueenRange</h4>
<pre>public&nbsp;void&nbsp;checkKingQueenRange(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                                <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f,
                                int&nbsp;x,
                                int&nbsp;y)</pre>
<div class="block">Starts field range calculations from current field on for queens and
 kings.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - Figure</dd>
<dd><code>f</code> - current Field</dd>
<dd><code>x</code> - board width</dd>
<dd><code>y</code> - board height</dd>
</dl>
</li>
</ul>
<a name="checkUpDownDiagonalStart-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int-int:A-boolean-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkUpDownDiagonalStart</h4>
<pre>public&nbsp;void&nbsp;checkUpDownDiagonalStart(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                                     java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
                                     int&nbsp;limit,
                                     int&nbsp;signX,
                                     int&nbsp;signY,
                                     int[]&nbsp;b,
                                     boolean&nbsp;attackOnly,
                                     int&nbsp;checkType)</pre>
<div class="block">Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.<br>
 If signX is 1 field is "east", if it's -1 field is "west". If signY is 1
 forward is "north", if it's -1 it's "south".<br>
 The limit is the number of fields that will be checked at most if no
 figure is in the way. It's determined by the range of a figure.<br>
 Normally a field is allowed to be moved on, if it's not occupied. However,
 some figures can only move diagonally for attacks (pawns). To "turn
 around" the checking, attackOnly should be true.<br>
 The checking will be done for all z level of the current field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - Figure</dd>
<dd><code>path</code> - path of Fields to the current check position</dd>
<dd><code>limit</code> - maximum number of fields to check further</dd>
<dd><code>signX</code> - movement "west": -1, "east": 1</dd>
<dd><code>signY</code> - movement "south" (black pawns): -1, "north" (white pawns): 1</dd>
<dd><code>b</code> - current 3D board position</dd>
<dd><code>attackOnly</code> - allows move only, if target field is occupied by a figure</dd>
<dd><code>checkType</code> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</dd>
</dl>
</li>
</ul>
<a name="checkStraight-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int:A-int-boolean-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkStraight</h4>
<pre>public&nbsp;void&nbsp;checkStraight(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                          java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
                          int&nbsp;limit,
                          int&nbsp;sign,
                          int[]&nbsp;b,
                          int&nbsp;xy,
                          boolean&nbsp;mustNotAttack,
                          int&nbsp;checkType)</pre>
<div class="block">Checks next field relative to current board position if it's free to move
 onto it.<br>
 For xy = 0:<br>
 If sign is 1 it's "east", if it's -1 it's "west".<br>
 For xy = 1:<br>
 If sign is 1 it's "north", if it's -1 it's "south".<br>
 The limit is the number of columns that will be checked at most if no
 figure is in the way. It's determined by the range of a figure.<br>
 The checking will be done for all z levels of the current field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - Figure</dd>
<dd><code>path</code> - path of Fields to the current check position</dd>
<dd><code>limit</code> - maximum number of fields to check further</dd>
<dd><code>sign</code> - movement direction</dd>
<dd><code>b</code> - current 3D board position</dd>
<dd><code>xy</code> - movement axis</dd>
<dd><code>mustNotAttack</code> - true for pawns since they can only attack diagonally</dd>
<dd><code>checkType</code> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</dd>
</dl>
</li>
</ul>
<a name="checkUpDownStraightStart-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int:A-int-boolean-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkUpDownStraightStart</h4>
<pre>public&nbsp;void&nbsp;checkUpDownStraightStart(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                                     java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
                                     int&nbsp;limit,
                                     int&nbsp;sign,
                                     int[]&nbsp;b,
                                     int&nbsp;xy,
                                     boolean&nbsp;mustNotAttack,
                                     int&nbsp;checkType)</pre>
<div class="block">Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.<br>
 For xy = 0:<br>
 If sign is 1 it's "east", if it's -1 it's "west".<br>
 For xy = 1:<br>
 If sign is 1 it's "north", if it's -1 it's "south".<br>
 The limit is the number of columns that will be checked at most if no
 figure is in the way. It's determined by the range of a figure.<br>
 The checking will be done for all z levels of the current field except the
 one of the position itself.<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - Figure</dd>
<dd><code>path</code> - path of Fields to the current check position</dd>
<dd><code>limit</code> - maximum number of fields to check further</dd>
<dd><code>sign</code> - movement direction</dd>
<dd><code>b</code> - current 3D board position</dd>
<dd><code>xy</code> - movement axis</dd>
<dd><code>mustNotAttack</code> - true for pawns since they can only attack diagonally</dd>
<dd><code>checkType</code> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</dd>
</dl>
</li>
</ul>
<a name="checkUpward-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int-int:A-int-boolean-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkUpward</h4>
<pre>public&nbsp;void&nbsp;checkUpward(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                        java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
                        int&nbsp;maxZ,
                        int&nbsp;limit,
                        int&nbsp;sign,
                        int[]&nbsp;b,
                        int&nbsp;xy,
                        boolean&nbsp;mustNotAttack,
                        int&nbsp;checkType)</pre>
<div class="block">Checks all upward fields in proper order from current board position on if
 they're free to move onto. If a free field is found, the search continues
 with forward checking.<br>
 For xy = 0:<br>
 If sign is 1 it's "east", if it's -1 it's "west".<br>
 For xy = 1:<br>
 If sign is 1 it's "north", if it's -1 it's "south".<br>
 The limit is the number of rows that will be checked at most if no figure
 is in the way. It's determined by the range of a figure.<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - Figure</dd>
<dd><code>path</code> - path of Fields to the current check position</dd>
<dd><code>maxZ</code> - highest z level ID</dd>
<dd><code>limit</code> - maximum number of fields to check further</dd>
<dd><code>sign</code> - movement direction</dd>
<dd><code>b</code> - current 3D board position</dd>
<dd><code>xy</code> - movement axis</dd>
<dd><code>mustNotAttack</code> - true for pawns since they can only attack diagonally</dd>
<dd><code>checkType</code> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</dd>
</dl>
</li>
</ul>
<a name="checkDownward-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int-int:A-int-boolean-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkDownward</h4>
<pre>public&nbsp;void&nbsp;checkDownward(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                          java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
                          int&nbsp;minZ,
                          int&nbsp;limit,
                          int&nbsp;sign,
                          int[]&nbsp;b,
                          int&nbsp;xy,
                          boolean&nbsp;mustNotAttack,
                          int&nbsp;checkType)</pre>
<div class="block">Checks all downward fields in proper order from current board position on
 if they're free to move onto. If a free field is found, the search
 continues with forward checking.<br>
 For xy = 0:<br>
 If sign is 1 it's "east", if it's -1 it's "west".<br>
 For xy = 1:<br>
 If sign is 1 it's "north", if it's -1 it's "south".<br>
 The limit is the number of rows that will be checked at most if no figure
 is in the way. It's determined by the range of a figure.<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - Figure</dd>
<dd><code>path</code> - path of Fields to the current check position</dd>
<dd><code>minZ</code> - lowest z level ID</dd>
<dd><code>limit</code> - maximum number of fields to check further</dd>
<dd><code>sign</code> - movement direction</dd>
<dd><code>b</code> - current 3D board position</dd>
<dd><code>xy</code> - movement axis</dd>
<dd><code>mustNotAttack</code> - true for pawns since they can only attack diagonally</dd>
<dd><code>checkType</code> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</dd>
</dl>
</li>
</ul>
<a name="checkJumps-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int:A-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>checkJumps</h4>
<pre>public&nbsp;void&nbsp;checkJumps(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                       java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
                       int[]&nbsp;b,
                       int&nbsp;checkType)</pre>
<div class="block">Checks all jump destination fields on all z levels relative to current
 board position if they're free to move onto.<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - Figure</dd>
<dd><code>path</code> - path of Fields to the current check position</dd>
<dd><code>b</code> - current 3D board position</dd>
<dd><code>checkType</code> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FigureRangeChecking.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/FigureRangeChecking.html" target="_top">Frames</a></li>
<li><a href="FigureRangeChecking.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
